Package com.independentsoft.office.word.customMarkup

# Class StandardDocumentTagCheckBox

java.lang.Object
com.independentsoft.office.word.customMarkup.StandardDocumentTagCheckBox

public class StandardDocumentTagCheckBox extends Object
The Class StandardDocumentTagCheckBox.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StandardDocumentTagCheckBox()`
  Instantiates a new standard document tag check box.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StandardDocumentTagCheckBox`
  `clone()`
  `boolean`
  `getChecked()`
  Gets the checked.
  `StandardDocumentTagCheckBoxSymbol`
  `getCheckedState()`
  Gets the checked state.
  `StandardDocumentTagCheckBoxSymbol`
  `getUncheckedState()`
  Gets the unchecked state.
  `void`
  `setChecked​(boolean checked)`
  Sets the checked.
  `void`
  `setCheckedState​(StandardDocumentTagCheckBoxSymbol checkedState)`
  Sets the checked state.
  `void`
  `setUncheckedState​(StandardDocumentTagCheckBoxSymbol uncheckedState)`
  Sets the unchecked state.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StandardDocumentTagCheckBox

    public StandardDocumentTagCheckBox()
    Instantiates a new standard document tag check box.

- ## Method Details

  - ### clone

    public StandardDocumentTagCheckBox clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getChecked

    public boolean getChecked()
    Gets the checked.
    Returns:
      the checked

  - ### setChecked

    public void setChecked​(boolean checked)
    Sets the checked.
    Parameters:
      `checked` - the new checked

  - ### getCheckedState

    public StandardDocumentTagCheckBoxSymbol getCheckedState()
    Gets the checked state.
    Returns:
      the checked state

  - ### setCheckedState

    public void setCheckedState​(StandardDocumentTagCheckBoxSymbol checkedState)
    Sets the checked state.
    Parameters:
      `checkedState` - the new checked state

  - ### getUncheckedState

    public StandardDocumentTagCheckBoxSymbol getUncheckedState()
    Gets the unchecked state.
    Returns:
      the unchecked state

  - ### setUncheckedState

    public void setUncheckedState​(StandardDocumentTagCheckBoxSymbol uncheckedState)
    Sets the unchecked state.
    Parameters:
      `uncheckedState` - the new unchecked state